---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.updatebyid'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.updatebyid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [updateById](./sequelize.sequelizecrudrepository.updatebyid.md)

## SequelizeCrudRepository.updateById() method

**Signature:**

```typescript
updateById(id: ID, data: DataObject<T>, options?: AnyObject): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

id


</td><td>

ID


</td><td>


</td></tr>
<tr><td>

data


</td><td>

DataObject&lt;T&gt;


</td><td>


</td></tr>
<tr><td>

options


</td><td>

AnyObject


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;void&gt;


